# Bet Placement

It’s important to note that while BetBuilder has a unique endpoint for fetching prices, the process of bet placement is still done via the betplacement endpoint.&#x20;

{% content-ref url="/pages/2l7cTFxJAk5U4UAqv2Er" %}
[Bets API](/odds88-client-api/odds88-api-endpoints/bets-api.md)
{% endcontent-ref %}

To perform the placement of a bet, which includes BetBuilder, the client needs to specify the following parameters in the request. `marketId` and `selectionId` should be `-1`\
"**betBuilderBetItems**" should contain a list of markets and selections from BetBuilder bet.

Single BetBuilder bet placement request body example:

```json
{
  "id": "bet-id",
  "player": {...},
  "amount": {
    "currency": "USD",
    "value": 50000,
    "precision": 4
  },
  "priceChange": 1,
  "items": [
    {
      "eventId": 4780136,
      "marketId": -1,
      "selectionId": -1,
      "racingSelection": "",
      "betBuilderBetItems": [
        {
            "marketId": 1,
            "selectionId": 1
        },
        {
          "marketId": 67,
          "selectionId": 20
        }
      ],
    "price": 6.75
    }
  ]
}
```

Multibet bet placement with BetBuilder as one of the legs request example:

```json
{
  "id": "bet-id",
  "player": {...},
  "amount": {
    "currency": "USD",
    "value": 50000,
    "precision": 4
  },
  "priceChange": 1,
  "items": [
    {
      "eventId": 4780136,
      "marketId": -1,
      "selectionId": -1,
      "racingSelection": "",
      "betBuilderBetItems": [
        {
          "marketId": 1,
          "selectionId": 1
        },
        {
          "marketId": 67,
          "selectionId": 20
        }
      ],
      "price": 6.75
    },
    {
      "eventId": 4870489,
      "marketId": 1,
      "selectionId": 1,
      "racingSelection": "",
      "betBuilderBetItems": [],
      "price": 2.76
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/betbuilder-integration/bet-placement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
